%global commit b881d437c6a4b6a8935d39f443be1a7a8dd48164
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global debug_package %{nil}

%define engine_name bamboo

Name: ibus-bamboo
Version: 0.8.3
Release: 2%{?dist}
Summary: A Vietnamese input method for IBus

License: GPL-3.0-or-later
URL: https://github.com/BambooEngine/ibus-bamboo
Source0: https://github.com/BambooEngine/ibus-bamboo/archive/%shortcommit/%{name}-%{commit}.tar.gz#/%{name}-%{version}-%{shortcommit}.tar.gz

# Require glib-compile-resources
BuildRequires: glib2-devel
BuildRequires: go
# Required by keyboard-shortcut-editor
BuildRequires: gtk3-devel
# Required by src/github.com/BambooEngine/goibus/ibus/common.go
BuildRequires: ibus-devel
# Required by src/ibus-bamboo/x11_clipboard.c
BuildRequires: libX11-devel
# xTestFakeKeyEventIM option & Required by src/ibus-bamboo/x11_keyboard.c
BuildRequires: libXtst-devel
Requires: gtk3
Requires: ibus

%description
A Vietnamese IME for IBus using Bamboo Engine.
The open source Vietnamese keyboard supports most common encodings, popular
Vietnamese typing methods, smart diacritics, spell checking, shortcuts,...

%description -l vi
A Vietnamese IME for IBus using Bamboo Engine.
Bộ gõ tiếng Việt mã nguồn mở hỗ trợ hầu hết các bảng mã thông dụng, các kiểu
gõ tiếng Việt phổ biến, bỏ dấu thông minh, kiểm tra chính tả, gõ tắt,...

%prep
%autosetup -n %{name}-%{commit}
sed -i.orig -s "s|/lib/|/libexec/|" bamboo.xml
for go in src/ibus-bamboo/*.go
do
    if grep -q "/lib/" $go; then
        sed -i.fed -s "s|/lib/|/libexec/|" $go
    fi
done

%build
%{make_build}

%install
for svg in icons/*.svg
do
    install -pm 644 -D $svg $RPM_BUILD_ROOT%{_datadir}/%{name}/$svg
done
for data in data/*
do
    install -pm 644 -D $data $RPM_BUILD_ROOT%{_datadir}/%{name}/$data
done
for exe in ibus-engine-bamboo keyboard-shortcut-editor macro-editor
do
    install -pm 755 -D $exe $RPM_BUILD_ROOT%{_libexecdir}/%{name}/$exe
done

install -pm 644 -D bamboo.xml $RPM_BUILD_ROOT%{_datadir}/ibus/component/bamboo.xml
install -pm 644 -D ibus-setup-Bamboo.desktop $RPM_BUILD_ROOT%{_datadir}/applications/ibus-setup-Bamboo.desktop

%files
%defattr(-,root,root)
%doc README.md
%license LICENSE
%{_datadir}/applications/ibus-setup-Bamboo.desktop
%{_datadir}/ibus/component/bamboo.xml
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/*


%changelog
* Tue Jul 16 2024 Takao Fujiwara <tfujiwar@redhat.com> 0.5.3-2
- Reformat spec file for Fedora

* Wed Aug 14 2019 LuongThanhLam <ltlam93@gmail.com> 0.5.3-1
- Initial RPM release
